Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ChartAreaInfo

    java.lang.Object
      jet.report.xls.ChartAreaInfo

    public class ChartAreaInfo

extends java.lang.Object

contains the information of Chart Area in the file.

Field Summary
`static short` | `AUTOPOSITION`
`static short` | `AUTOSIZE`
`static short` | `REGULARBORDER`
`static short` | `SHADOWBORDER`

Constructor Summary
`ChartAreaInfo()` Constructs a ChartAreaInfo record
`ChartAreaInfo(LineFormatInfo lineFormatInfo, AreaFormatInfo areaFormatInfo)` Constructs a ChartAreaInfo record and sets its fields appropriately.

Method Summary
`AreaFormatInfo` | `getAreaFormat()` get the information of chart area color return the information of chart area color
`short` | `getBorder()` get the pattern of the frame border.
`LineFormatInfo` | `getBorderFormat()` get the information of chart border line return the information of chart border line
`boolean` | `isAutoPosition()` get whether the position of the frame is calculated by Microsoft Excel or not
`boolean` | `isAutoSize()` get whether the size of the frame is calculated by Microsoft Excel or not
`void` | `setAreaFormat(AreaFormatInfo areaFormatInfo)` set the information of chart area color
`void` | `setAutoPosition(boolean b)` set whether the position of the frame is calculated by Microsoft Excel or not
`void` | `setAutoSize(boolean b)` set whether the size of the frame is calculated by Microsoft Excel or not
`void` | `setBorder(short frt)` set the pattern of the frame border.
`void` | `setBorderFormat(LineFormatInfo lineFormatInfo)` set the information of chart border line

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REGULARBORDER

    public static final short REGULARBORDER

See Also:
  Constant Field Values

### SHADOWBORDER

    public static final short SHADOWBORDER

See Also:
  Constant Field Values

### AUTOSIZE

    public static final short AUTOSIZE

See Also:
  Constant Field Values

### AUTOPOSITION

    public static final short AUTOPOSITION

See Also:
  Constant Field Values

Constructor Detail

### ChartAreaInfo

    public ChartAreaInfo()

  Constructs a ChartAreaInfo record

### ChartAreaInfo

    public ChartAreaInfo(LineFormatInfo lineFormatInfo,
                         AreaFormatInfo areaFormatInfo)

  Constructs a ChartAreaInfo record and sets its fields appropriately.

  Parameters:
    `frt` - Pattern of the chart border
    `grbit` - Option flags
    `lineFormatInfo` - The information of chart border line
    `areaFormatInfo` - the information of chart area color

Method Detail

### getBorder

    public short getBorder()

  get the pattern of the frame border.

  Returns:
    The pattern of the frame border
  See Also:
    `REGULARBORDER`, `SHADOWBORDER`

### setBorder

    public void setBorder(short frt)

  set the pattern of the frame border.

  Parameters:
    `frt` - The pattern of the frame border
  See Also:
    `REGULARBORDER`, `SHADOWBORDER`

### isAutoSize

    public boolean isAutoSize()

  get whether the size of the frame is calculated by Microsoft Excel or not

  Returns:
    whether the size of frame is calculated by Microsoft Excel

### setAutoSize

    public void setAutoSize(boolean b)

  set whether the size of the frame is calculated by Microsoft Excel or not

  Parameters:
    `b` - - whether the size of the frame is calculated by Microsoft Excel or not

### isAutoPosition

    public boolean isAutoPosition()

  get whether the position of the frame is calculated by Microsoft Excel or not

  Returns:
    whether the position of frame is calculated by Microsoft Excel

### setAutoPosition

    public void setAutoPosition(boolean b)

  set whether the position of the frame is calculated by Microsoft Excel or not

  Parameters:
    `b` - - whether the position of the frame is calculated by Microsoft Excel or not

### setBorderFormat

    public void setBorderFormat(LineFormatInfo lineFormatInfo)

  set the information of chart border line

  Parameters:
    `lineFormatInfo` - is the information of chart border line

### getBorderFormat

    public LineFormatInfo getBorderFormat()

  get the information of chart border line return the information of chart border line

### setAreaFormat

    public void setAreaFormat(AreaFormatInfo areaFormatInfo)

  set the information of chart area color

  Parameters:
    `areaFormatInfo` - is the information of chart area color

### getAreaFormat

    public AreaFormatInfo getAreaFormat()

  get the information of chart area color return the information of chart area color

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD